Support for Eclipse 4.10, switch to 64-bit, and other changes

Posted on by - Comments

Hello everyone!

Today’s release brings support for the latest release of Eclipse 4.10, removes support for 32-bit platforms, and brings other changes and bug fixes. Read on for more details.

Eclipse 4.10 support

The newest release of Eclipse 4.10, also known as Eclipse 2018-12, was just released. We’ve immediately updated the standalone version of WireframeSketcher to this more platform so that we can benefit from various improvements and bug-fixes.

Eclipse 4.10

One major bug-fix in this version concerns Linux users that run WireframeSketcher with GTK3 toolkit. Some users have reported a significant application slowdown when using version 5.1.0. We’ve reproduced and reported the issue so that it could be fixed. We are happy to announce the this version fixes the performance issue.

Switch to 64-bit

Until now we’ve been supporting both 32 and 64-bit operating systems. Starting with this release the support for 32-bit platforms was dropped. This most notably concerns Windows users who until now were using 32-bit version of WireframeSketcher. Starting with this release we’ll only be distributing 64-bit version of WireframeSketcher.

macOS users are not being concerned by this change, but if you are a Windows or Linux user who still uses a 32-bit system then you’ll need to keep using an older version of WireframeSketcher until you can upgrade your system.

Other changes

  • Updated Font Awesome icons to version 5.6.1

Updating

Due to some major changes in this version we recommend manual download and installation of WireframeSketcher. Using Help > Check for Updates should still work but the application will only be updated partially.

The version number of this release is 6.0.0

Enjoy!